%define name watertmp-applet
%define version 0.5.2
%define release %mkrel 2

Summary:        GNOME Water Temperature Applet
Name:           %{name}
Version:        %{version}
Release:        %{release}
Group:          Graphical desktop/GNOME
License:        GPLv3
URL:            http://watertmp-applet.sourceforge.net/
Source0:        http://watertmp-applet.sourceforge.net/%{name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:  gtk+2-devel intltool gettext
Requires: gnome-panel
Requires: python 
Requires: pygtk2.0 
Requires: gnome-python 



%description
The GNOME Water Temperature Applet displays water temperatures of rivers, 
lakes and oceans in your GNOME panel.
 
You need this applet to check if you should go swimming today.
It currently features data sources from Austria, Germany, Frpanelance, Switzerland, 
Turkey and the United States. Feel free to suggest more websites with water 
tempertures or add them yourself.


%prep
%setup -q 

%build
%configure2_5x

%make
%install
rm -rf %{buildroot}
%makeinstall_std


%find_lang %{name}

%define schemas %{name}

%clean
rm -rf $RPM_BUILD_ROOT


%post
%post_install_gconf_schemas %{schemas}

%preun
%preun_uninstall_gconf_schemas %{schemas}


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc README COPYING TODO ChangeLog AUTHORS
%{_sysconfdir}/gconf/schemas
%{_datadir}/%{name}/*.xml
%{_libdir}/bonobo/servers/%{name}.server
%{_libdir}/gnome-applets
%{_datadir}/pixmaps/%{name}.png

%changelog
* Sun Nov 22 2009 Texstar <texstar at gmail.com> 0.5.2-2pclos2010
- rebuild

* Fri Sep 04 2009 slick50 <lxgator@gmail.com> 0.5.2-1pclos2009
- 0.5.2

* Thu Jun 11 2009 slick50 <lxgator@gmail.com> 0.5.1-1pclos2009
- initial build
